Автор Тема: Установка Wine  (Прочитано 3988 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн tim

Установка Wine
« : 04 Августа 2013, 22:40:04 »
Всем привет. Нашел нужный мне wine версии 1.5.19, нашел гайд http://izero.dyndns.org/blog/?p=966, но вот на apt-get -f install мне предлагают удалить кучу пакетов, что как мне кажется не совсем правильно. Как решить вопрос с зависимостями?
root@tim-PC:/home/tim/chroot/root# dpkg -i wine1.5*
(Чтение базы данных … на данный момент установлено 117238 файлов и каталогов.)
Подготовка к замене пакета wine1.5 1.6-0 (используется файл wine1.5_1.6-0_i386.deb) …
Распаковывается замена для пакета wine1.5 …
Подготовка к замене пакета wine1.5-dbg:i386 1.6-0 (используется файл wine1.5-dbg_1.6-0_i386.deb) …
Распаковывается замена для пакета wine1.5-dbg:i386 …
Подготовка к замене пакета wine1.5-dev 1.6-0 (используется файл wine1.5-dev_1.6-0_i386.deb) …
Распаковывается замена для пакета wine1.5-dev …
Подготовка к замене пакета wine1.5-i386 1.6-0 (используется файл wine1.5-i386_1.6-0_i386.deb) …
Распаковывается замена для пакета wine1.5-i386 …
dpkg: зависимости пакетов не позволяют настроить пакет wine1.5:
 wine1.5 зависит от wine1.6, однако:
  Пакет wine1.6 пока не настроен.

dpkg: ошибка при обработке параметра wine1.5 (--install):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет wine1.5-dbg:i386:
 wine1.5-dbg:i386 зависит от wine1.6-dbg, однако:
  Пакет wine1.6-dbg:i386 пока не настроен.

dpkg: ошибка при обработке параметра wine1.5-dbg:i386 (--install):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет wine1.5-dev:
 wine1.5-dev зависит от wine1.6-dev, однако:
  Пакет wine1.6-dev пока не настроен.

dpkg: ошибка при обработке параметра wine1.5-dev (--install):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет wine1.5-i386:
 wine1.5-i386 зависит от wine1.6-i386, однако:
  Пакет wine1.6-i386 пока не настроен.

dpkg: ошибка при обработке параметра wine1.5-i386 (--install):
 проблемы зависимостей — оставляем не настроенным
При обработке следующих пакетов произошли ошибки:
 wine1.5
 wine1.5-dbg:i386
 wine1.5-dev
 wine1.5-i386
root@tim-PC:/home/tim/chroot/root# aptitude -f install
Следующие НОВЫЕ пакеты будут установлены:       
  libasyncns0:i386 libattr1:i386 libcap2:i386 libdb5.1:i386 libexif12:i386 libflac8:i386{b} libgphoto2-2:i386{b} libgphoto2-port0:i386{b} liblcms1:i386 libldap-2.4-2:i386{b} libogg0:i386 libopenal1:i386 libpulse0:i386{b}
  libsasl2-2:i386 libsasl2-modules:i386{b} libsndfile1:i386 libudev0:i386 libusb-1.0-0:i386{b} libvorbis0a:i386 libvorbisenc2:i386 libvpx1:i386 libwrap0:i386 libxpm4:i386{b} libxtst6:i386{b}
Следующие пакеты будут УДАЛЕНЫ:
  dirmngr{u} espeak-data{u} festival{u} festival-freebsoft-utils{u} festlex-cmu{u} festlex-poslex{u} festvox-kallpc16k{u} htdig{u} libao-common{u} libao4{u} libarchive12{u} libdotconf1.0{u} libespeak1{u} libestools2.1{u} libgadu3{u}
  libgfortran3{u} libgle3{u} libglew1.7{u} libgsl0ldbl{u} libieee1284-3-dev{u} libindi-data{u} libjbig-dev{u} libjpeg-progs{u} libjs-jquery{u} libkdeedu-data{u} libksane-data{u} libmeanwhile1{u} libmediastreamer1{u} libmsn0.3{u}
  libnettle4{u} libnm-glib-vpn1{u} libnova-0.14-0{u} libopenbabel4{u} libopencore-amrnb0{u} libopencore-amrwb0{u} libortp8{u} libotr2{u} libpathplan4{u} libpkcs11-helper1{u} libpulse-mainloop-glib0{a} libqhull5{u} libsonic0{u}
  libsox-fmt-alsa{u} libsox-fmt-base{u} libsox2{u} libspectre1{u} libspeechd2{u} libsrtp0{u} libtidy-0.99-0{u} libtiff4-dev{u} libtiffxx0c2{u} libusb-1.0-0-dev{u} libv4l-dev{u} libv4l2rds0{u} libvncserver0{u} libxdot4{u}
  lockfile-progs{u} mobile-broadband-provider-info{u} network-manager-openvpn{u} network-manager-pptp{u} network-manager-vpnc{u} openvpn{u} optipng{u} pptp-linux{u} pulseaudio{a} pulseaudio-module-x11{a} pulseaudio-utils{a}
  python-aeidon{u} python-cups{u} python-cupshelpers{u} python-dateutil{u} python-enchant{u} python-gobject{u} python-iniparse{u} python-levenshtein{u} python-lxml{u} python-openssl{u} python-pam{u} python-pkg-resources{u}
  python-pycurl{u} python-serial{u} python-simplejson{u} python-twisted-bin{u} python-twisted-core{u} python-utidylib{u} python-vobject{u} python-zope.interface{u} qhull-bin{u} rdesktop{u} sound-icons{u} sox{u} speech-dispatcher{u}
  speech-dispatcher-festival{u} translate-toolkit{u} ttf-sjfonts{u} virtuoso-minimal{u} vorbis-tools{u} vpnc{u} wwwconfig-common{u} xscreensaver-data{u} xscreensaver-data-extra{u} xscreensaver-gl{u} xscreensaver-gl-extra{u}
  xscreensaver-screensaver-bsod{u}
Следующие частично установленные пакеты будут настроены:
  wine:i386 wine1.5:i386 wine1.5-dbg:i386 wine1.5-dev:i386 wine1.5-i386:i386 wine1.6:i386{b} wine1.6-dbg:i386 wine1.6-dev:i386{b} wine1.6-i386:i386{b}
РЕКОМЕНДУЮТСЯ следующие пакеты, но автоматически они установлены НЕ БУДУТ:
  libasound2:i386 liboss4-salsa-asound2:i386
0 пакетов обновлено, 24 установлено новых, 104 пакетов отмечено для удаления, и 0 пакетов не обновлено.
Необходимо получить 3 777 kB/4 840 kB архивов. После распаковки освободится 95,1 M байт.
Следующие пакеты имеют неудовлетворённые зависимости:
 libldap-2.4-2:i386 : Зависит: libgcrypt11:i386 (>= 1.4.5) но его установка не запланирована.
                      Зависит: libgnutls26:i386 (>= 2.12.17-0) но его установка не запланирована.
 libgphoto2-port0:i386 : Зависит: libltdl7:i386 (>= 2.4.2) но его установка не запланирована.
                         Зависит: libusb-0.1-4:i386 (>= 2:0.1.12) но его установка не запланирована.
 wine1.6:i386 : Зависит: libgettextpo0:i386 но его установка не запланирована.
                Зависит: binfmt-support:i386 (>= 1.1.2) но его установка не запланирована.
 wine1.6-dev:i386 : Зависит: libc6-dev:i386 но его установка не запланирована.
 libxpm4:i386 : Зависит: libx11-6:i386 но его установка не запланирована.
 libflac8 : Ломает: libflac8:i386 (!= 1.3.0-1) но устанавливается 1.2.1-6.
 libflac8:i386 : Ломает: libflac8 (!= 1.2.1-6) но установлен 1.3.0-1
 wine1.6-i386:i386 : Зависит: libasound2:i386 (>= 1.0.16) но его установка не запланирована.
                     Зависит: libgl1-mesa-glx:i386 но его установка не запланирована. или
                                     libgl1:i386 который является виртуальным пакетом.
                     Зависит: libglib2.0-0:i386 (>= 2.12.0) но его установка не запланирована.
                     Зависит: libglu1-mesa:i386 но его установка не запланирована. или
                                     libglu1:i386 который является виртуальным пакетом.
                     Зависит: libgstreamer-plugins-base0.10-0:i386 (>= 0.10.22) но его установка не запланирована.
                     Зависит: libgstreamer0.10-0:i386 (>= 0.10.26) но его установка не запланирована.
                     Зависит: libice6:i386 (>= 1:1.0.0) но его установка не запланирована.
                     Зависит: libmpg123-0:i386 (>= 1.13.7) но его установка не запланирована.
                     Зависит: libsm6:i386 но его установка не запланирована.
                     Зависит: libx11-6:i386 но его установка не запланирована.
                     Зависит: libxext6:i386 но его установка не запланирована.
                     Зависит: libxml2:i386 (>= 2.7.4) но его установка не запланирована.
 libphonon4 : Зависит: libpulse-mainloop-glib0 (>= 0.99.1) но его установка не запланирована.
 libxtst6:i386 : Зависит: libx11-6:i386 (>= 2:1.4.99.1) но его установка не запланирована.
                 Зависит: libxext6:i386 но его установка не запланирована.
                 Зависит: libxi6:i386 но его установка не запланирована.
 kde-runtime : Зависит: libpulse-mainloop-glib0 (>= 0.99.1) но его установка не запланирована.
 libpulse0:i386 : Зависит: libdbus-1-3:i386 (>= 1.1.1) но его установка не запланирована.
                  Зависит: libice6:i386 (>= 1:1.0.0) но его установка не запланирована.
                  Зависит: libjson0:i386 (>= 0.10) но его установка не запланирована.
                  Зависит: libsm6:i386 но его установка не запланирована.
                  Зависит: libx11-6:i386 но его установка не запланирована.
                  Зависит: libx11-xcb1:i386 но его установка не запланирована.
                  Зависит: libxcb1:i386 но его установка не запланирована.
 libsasl2-modules:i386 : Зависит: libssl1.0.0:i386 (>= 1.0.0) но его установка не запланирована.
 libusb-1.0-0 : Ломает: libusb-1.0-0:i386 (!= 2:1.0.16-3) но устанавливается 2:1.0.11-1.
 libusb-1.0-0:i386 : Ломает: libusb-1.0-0 (!= 2:1.0.11-1) но установлен 2:1.0.16-3
 libgphoto2-2:i386 : Зависит: libgd2-xpm:i386 (>= 2.0.36~rc1~dfsg) но его установка не запланирована.
                     Зависит: libjpeg8:i386 (>= 8c) но его установка не запланирована.
                     Зависит: libltdl7:i386 (>= 2.4.2) но его установка не запланирована.
Следующие действия разрешат зависимости:

      Удалить следующие пакеты:                                                   
1)      dolphin                                                                   
2)      kde-runtime                                                               
3)      kde-style-oxygen                                                           
4)      kde-window-manager                                                         
5)      kde-workspace                                                             
6)      kde-workspace-bin                                                         
7)      kdebase-runtime                                                           
8)      kdelibs5-plugins                                                           
9)      kdepim-runtime                                                             
10)     kdm                                                                       
11)     kinfocenter                                                               
12)     klipper                                                                   
13)     kmenuedit                                                                 
14)     konsole                                                                   
15)     ksysguard                                                                 
16)     libakonadi-contact4                                                       
17)     libkactivities-bin                                                         
18)     libkhtml5                                                                 
19)     libknotifyconfig4                                                         
20)     libkonq-common                                                             
21)     libkonq5abi1                                                               
22)     libkworkspace4abi2                                                         
23)     libphonon4                                                                 
24)     libplasma3                                                                 
25)     libplasmaclock4abi3                                                       
26)     libplasmagenericshell4                                                     
27)     libsmokekdecore4-3                                                         
28)     libsmokekdeui4-3                                                           
29)     libsmokekfile3                                                             
30)     libsmokekhtml3                                                             
31)     libsmokekio3                                                               
32)     libsmokeknewstuff2-3                                                       
33)     libsmokeknewstuff3-3                                                       
34)     libsmokekparts3                                                           
35)     libsmokektexteditor3                                                       
36)     libsmokekutils3                                                           
37)     libsmokeplasma3                                                           
38)     libweather-ion6                                                           
39)     phonon                                                                     
40)     phonon-backend-vlc                                                         
41)     plasma-dataengines-workspace                                               
42)     plasma-desktop                                                             
43)     plasma-scriptengine-javascript                                             
44)     plasma-scriptengine-python                                                 
45)     plasma-scriptengine-ruby                                                   
46)     plasma-scriptengine-superkaramba                                           
47)     plasma-scriptengine-webkit                                                 
48)     plasma-scriptengines                                                       
49)     plasma-widgets-workspace                                                   
50)     polkit-kde-1                                                               
51)     python-kde4                                                               
52)     ruby-kde4                                                                 
53)     ruby-plasma                                                               
54)     systemsettings                                                             
55)     wine:i386                                                                 
56)     wine1.5:i386                                                               
57)     wine1.5-dbg:i386                                                           
58)     wine1.5-dev:i386                                                           
59)     wine1.5-i386:i386                                                         
60)     wine1.6:i386                                                               
61)     wine1.6-dbg:i386                                                           
62)     wine1.6-dev:i386                                                           
63)     wine1.6-i386:i386                                                         

      Сохранить для следующих пакетов их текущие версии:                           
64)     libflac8:i386 [Не установлен]                                             
65)     libgphoto2-2:i386 [Не установлен]                                         
66)     libgphoto2-port0:i386 [Не установлен]                                     
67)     libldap-2.4-2:i386 [Не установлен]                                         
68)     libpulse0:i386 [Не установлен]                                             
69)     libsasl2-modules:i386 [Не установлен]                                     
70)     libsndfile1:i386 [Не установлен]                                           
71)     libusb-1.0-0:i386 [Не установлен]                                         
72)     libxpm4:i386 [Не установлен]                                               
73)     libxtst6:i386 [Не установлен]                                             

      Оставить следующие зависимости неразрешёнными:                               
74)     libsasl2-2:i386 рекомендует libsasl2-modules:i386 (= 2.1.25.dfsg1-6+deb7u1)
75)     libopenal1:i386 рекомендует libpulse0:i386 (>= 0.99.1)                     
76)     libkio5 рекомендует kdelibs5-plugins (= 4:4.10.5-1)                       
77)     plasma-desktop рекомендует kde-workspace                                   
78)     libkactivities6 рекомендует libkactivities-bin (= 4:4.10.5-1)             
79)     libkhtml5 рекомендует kdelibs5-plugins (= 4:4.10.5-1)                     
80)     kdm рекомендует kde-workspace | x-session-manager | x-window-manager       
81)     kde-runtime рекомендует virtuoso-minimal                                   


Принять данное решение? [Y/n/q/?] q
Отмена всех результатов по разрешению данных зависимостей.
Прервать.

 

Оффлайн vladimir_ar

Re: Установка Wine
« Ответ #1 : 04 Августа 2013, 23:10:23 »
А n попробовать ответить не судьба?
Debian Testing, kernel 3.16-2-amd64, OpenBox
AMD A8-3750 / 16Gb RAM / ATI HD6550D (onboard) / Sound ASUS Xonar - DS
_______________________________
Debian Testing, kernel 3.14-2-amd64, OpenBox
HP-655 AMD E1 / 8Gb RAM / ATI HD7310M
 

Оффлайн tim

Re: Установка Wine
« Ответ #2 : 04 Августа 2013, 23:25:28 »
Судьба, но после этого он мне выдает то же самое, можно хоть сто раз нажать n.
 

Оффлайн vladimir_ar

Re: Установка Wine
« Ответ #3 : 04 Августа 2013, 23:32:10 »
Ну тогда попробовать начать поочереди устанавливать к конца, с libgphoto2-2:i386
Debian Testing, kernel 3.16-2-amd64, OpenBox
AMD A8-3750 / 16Gb RAM / ATI HD6550D (onboard) / Sound ASUS Xonar - DS
_______________________________
Debian Testing, kernel 3.14-2-amd64, OpenBox
HP-655 AMD E1 / 8Gb RAM / ATI HD7310M
 

Оффлайн cloudsv

  • Новичок форума
  • Сообщений: 3
  • Jabber: cloudsv@jabber.ru
Re: Установка Wine
« Ответ #4 : 05 Августа 2013, 15:36:46 »
Устанавливайте только 3 файла:
 wine_1.6-0_i386.deb
 wine1.6_1.6-0_i386.deb
 wine1.6-i386_1.6-0_i386.deb
 

Оффлайн ferum

Re: Установка Wine
« Ответ #5 : 06 Августа 2013, 15:10:00 »
tim, Вы тщательно скрываете подробности, а форумчане тем временем тренируются в телепатии.
1) Какой дистрибутив вы используете?
2) Для какого дистрибутива делали croot окружение?
3) как выглядит ваш /debian/control ?
Дело в том , что мануал старый и был актуален для wheezy в то время, сейчас версии библиотек в testing уже другие и если вы к примеру собрали пакет для testing на wheezy его не поставишь, при сборке надо с чувством с толком с расстановкой разрешить и сборочные и установочные зависимости. При должном старании всё достижимо.
Русские дебианщики против цифрового слабоумия !
 

Оффлайн cloudsv

  • Новичок форума
  • Сообщений: 3
  • Jabber: cloudsv@jabber.ru
Re: Установка Wine
« Ответ #6 : 13 Августа 2013, 01:51:29 »
tim, Вы тщательно скрываете подробности, а форумчане тем временем тренируются в телепатии.
1) Какой дистрибутив вы используете?
2) Для какого дистрибутива делали croot окружение?
3) как выглядит ваш /debian/control ?
Дело в том , что мануал старый и был актуален для wheezy в то время, сейчас версии библиотек в testing уже другие и если вы к примеру собрали пакет для testing на wheezy его не поставишь, при сборке надо с чувством с толком с расстановкой разрешить и сборочные и установочные зависимости. При должном старании всё достижимо.
мануал актуален ;-)
 

Теги:
     

    Установка Windows 64 Bit в Debian

    Автор tagilchanin

    Ответов: 7
    Просмотров: 3576
    Последний ответ 31 Января 2013, 11:44:11
    от tagilchanin
    Установка гостевой ОС Red Hat 5.2 на хосте с Debian Squeese (kvm+qemu)

    Автор InnaZe

    Ответов: 0
    Просмотров: 1946
    Последний ответ 09 Апреля 2014, 12:53:50
    от InnaZe
    Установка VBox на Stretch / Споткнулся

    Автор DebOs

    Ответов: 3
    Просмотров: 2093
    Последний ответ 18 Ноября 2017, 13:07:16
    от Disconnected
    установка VMware

    Автор ForMan

    Ответов: 8
    Просмотров: 6795
    Последний ответ 18 Января 2012, 17:30:58
    от ihammers
    проблемы с Virt-Install(установка KVM)

    Автор Alexander_nsk

    Ответов: 4
    Просмотров: 2605
    Последний ответ 24 Апреля 2013, 07:30:11
    от PbI6A